Skip to main content
POST
/
report_notifications
Create report notification
curl --request POST \
  --url https://api.vantage.sh/v2/report_notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "cost_report_token": "<string>",
  "frequency": "<string>",
  "change": "<string>",
  "workspace_token": "<string>",
  "user_tokens": [
    "<string>"
  ],
  "recipient_channels": [
    "<string>"
  ]
}
'
import requests

url = "https://api.vantage.sh/v2/report_notifications"

payload = {
"title": "<string>",
"cost_report_token": "<string>",
"frequency": "<string>",
"change": "<string>",
"workspace_token": "<string>",
"user_tokens": ["<string>"],
"recipient_channels": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
cost_report_token: '<string>',
frequency: '<string>',
change: '<string>',
workspace_token: '<string>',
user_tokens: ['<string>'],
recipient_channels: ['<string>']
})
};

fetch('https://api.vantage.sh/v2/report_notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "rprt_ntfctn_8ce31b43a149cd2e",
  "title": "New Report Notification",
  "cost_report_token": "rprt_933010600676b02f",
  "user_tokens": [
    "usr_45e7d17e9f402226"
  ],
  "frequency": "daily",
  "change": "percentage"
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

Create a ReportNotification.

title
string
required

The title of the ReportNotification.

cost_report_token
string
required

The CostReport token.

frequency
string
required

The frequency the ReportNotification is sent. Possible values: daily, weekly, monthly.

change
string
required

The type of change the ReportNotification is tracking. Possible values: percentage, dollars.

workspace_token
string

The token of the Workspace to add the ReportNotification to. Required if the API token is associated with multiple Workspaces.

user_tokens
string[]

The Users that receive the notification.

recipient_channels
string[]

The Slack or Microsoft Teams channels that receive the notification.

Response

ReportNotification model

token
string
required
title
string
required

The title of the ReportNotification.

Example:

"Acme Report Notification"

cost_report_token
string
required

The token for a CostReport the ReportNotification is applied to.

Example:

"rprt_abcd1234"

user_tokens
string[]
required

The Users that receive the notification.

recipient_channels
string[]
required

The Slack or Microsoft Teams channels that receive the notification.

frequency
enum<string>
required

The frequency the ReportNotification is sent.

Available options:
daily,
weekly,
monthly
Example:

"weekly"

change
enum<string>
required

The type of change the ReportNotification is tracking.

Available options:
percentage,
dollars
Example:

"percentage"